=== framework/qml/tests/CMakeLists.txt ===
add_test(NAME frameworkqmltests COMMAND kubetestrunner WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
